with Raylib;
use  Raylib;

procedure Preview is

   Map : Texture := No_Texture;

begin
   Open_Window (1280, 720, "Pandemos Empire" & ASCII.NUL);
   --
   Map := Load_Texture ("./example/resource/pandemos.png" & ASCII.NUL);
   --
   Main_Loop: loop
      exit when Window_Should_Close;
      --
      Begin_Drawing;
      Draw_Texture (Map);
      End_Drawing;
   end loop Main_Loop;
   --
   Unload_Texture (Map);
   --
   Close_Window;
end Preview;
